# Class DragBinding

java.lang.Object
org.jmol.viewer.binding.Binding
org.jmol.viewer.binding.JmolBinding
org.jmol.viewer.binding.DragBinding

public class DragBinding extends JmolBinding

## Field Summary

### Fields inherited from class Binding

`ALT, BUTTON_MASK, BUTTON_MODIFIER_MASK, CLICK, COUNT_MASK, CTRL, CTRL_ALT, CTRL_SHIFT, DOUBLE, DOWN, DRAG, LEFT, MAC_COMMAND, MIDDLE, MODE_MASK, name, RIGHT, SHIFT, SINGLE, UP, WHEEL`

## Constructor Summary

Constructors
Constructor
Description
`DragBinding()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`setSelectBindings()`

### Methods inherited from class JmolBinding

`set`

### Methods inherited from class Binding

`bindAction, bindName, getBindingInfo, getBindings, getButtonMods, getClickCount, getMouseAction, getMouseActionName, getMouseActionStr, isBound, isUserAction, newBinding, unbindAction, unbindJmolAction, unbindMouseAction, unbindName, unbindUserAction`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DragBinding

public DragBinding()

## Method Details

### setSelectBindings

protected void setSelectBindings()

Overrides:
  `setSelectBindings` in class `JmolBinding`